petsc-3.12.4 2020-02-04
Report Typos and Errors

# PetscOptionsValidKey

PETSc Options database keys must begin with one or two dashes (-) followed by a letter.

### Synopsis

    #include "petscsys.h"
    PetscErrorCode PetscOptionsValidKey(const char key[],PetscBool *valid)

Not collective

### Input Parameter

key -string to check if valid

### Output Parameter

valid -PETSC_TRUE if a valid key

### Level

intermediate

### Location

src/sys/objects/options.c
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages